#ifndef _RENDERING_H
#define _RENDERING_H

#include "world.h"

namespace Rendering {
  using Map::array;
  
  /* Draw the outline of a hexagon; caller sets line width and color */
  void draw_outline_hexagon(int m, int n, Rendering::array& z);
  /* Draw a solid hexagon with no texturing; caller sets color */
  void draw_solid_hexagon(int m, int n, Rendering::array& z);
}

#endif
