#ifndef _TEXTURES_H
#define _TEXTURES_H

namespace Texture {
  
  // The generic texture is just noise, and it's useful all over the place
  extern GLuint polished;
  extern GLuint smooth;
  extern GLuint rough;

  // For contour lines, this 3d texture is useful
  extern GLuint contour;

  // For two-lane roads (with stripes)
  extern GLuint road;
  
  void setup();
}

#endif
